/// PROXIMITE.HTML STYLE ///

/// MAP ///

#mapidLocalisation {
    width : 100%;
    height: 90vh;
}

/// CARTE MODAL ///

.modal {
    max-height: 80vh;
    overflow  : scroll;
    
    &::-webkit-scrollbar { 
        width: 0px; 
        background: transparent; /* make scrollbar transparent */ 
    } 

    &.hide {
        display: none;
    }

    &.show {
    z-index         : 999;
    position        : absolute;
    bottom          : 12vh;
    left            : 5%;
    display         : flex;
    flex-direction  : column;
    width           : 90%;
    max-width       : 500px;
    border-radius   : 10px;
    border          : 2px solid #000;
    background-color: rgba(455, 455, 455, 1);
    }

    // MODAL HEAD
    .modal-head {
        display         : flex;
        flex-direction  : column;
        align-items     : center;
        width           : 100%;
        padding-bottom  : 0.5rem;
        margin-bottom   : 0.5rem;
        border-radius   : 8px 8px 0 0;
        border-bottom   : 2px solid #000;
        background-color: #3a3a38;

        .closeBtn {
            width  : 15px;
            height : 15px;
            padding: 1rem;
            margin : 0 0 0 auto;
        }

        .modal-head-info {
            display: flex;

            .fav-star {
                width  : 25px;
                height : 25px;
                padding: 0.5rem;
            }

            .stop-sign {
                width  : 25px;
                height : 25px;
                padding: 0.5rem;
            }
    
            .stop-name {
                padding   : 0.5rem;
                font-size : 1.4rem;
                text-align: right;
                color     : #fff;
            }
        }
    }

    // MODAL BODY
    .modal-body {
        display       : flex;
        flex-direction: column;

        // MODAL LINE DESCRIPTION
        .line-descr {
            display      : flex;
            align-items  : center;
            padding      : 0.5rem;
            margin       : 0.5rem;
            border-bottom: 2px solid #000;

            .line-number {
                display        : flex;
                justify-content: center;
                align-items    : center;
                min-width      : 40px;
                min-height     : 40px;
                margin         : 0 0.3rem;
                border-radius  : 50%;
                font-size      : 1.3rem;
                color          : #fff;
            }

            .mode {
                display        : flex;
                justify-content: center;
                align-items    : center;
                min-width      : 40px;
                min-height     : 40px;
                margin         : 0 0.5rem;
                border-radius  : 50%;

                .type-img {
                    width : 25px;
                    height: 25px;
                }
            }

            .line-name {
                width     : 70%;
                padding   : 0 0.3rem;
                margin    : 0 0 0 auto;
                text-align: right;
            }
        }

        // MODAL LINE DESTINATION AND TIME
        .line-dest {
            padding      : 0.5rem;
            margin       : 0.5rem;
            border-bottom: 2px dashed #000;

            .line-dest-info {
                display        : flex;
                justify-content: center;
                align-items    : center;

                .line-dest-img {
                    width : 15px;
                    height: 15px;
                }

                .line-last {
                    padding   : 0 0.5rem;
                    text-align: center;
                }
            }

            .time {
                display        : flex;
                justify-content: space-around;
                width          : 100%;
                padding        : 0.5rem 0;
                list-style     : none;
            }
        }
    }
}